## Input
An input component for use with react-hook-forms. REQUIRED: react-hook-forms

## Usage

```javascript
import { Input } from '@dragonchain-dev/dragon-kit'
      
<Input required type="email" name="email" placeholder="Email..." />
```

## Properties

**name**

Required. Name of the input

```
string
```

**placeholder**

Required. Placeholder before value is entered

```
string
```

**required**

Is the input required for the form to submit

```
boolean
```

**type**

Type of data to be entered Defaults to `text`.

```
text
email
```
  